#ifndef _BLOB_TRACKER_H
#define _BLOB_TRACKER_H


#include "ofMain.h"

#define OF_ADDON_USING_OFXVECTORMATH
#define OF_ADDON_USING_OFXOPENCV

#include "ofAddons.h"

#include "appConstants.h"


class blobTracker{
	
	public:
		
		blobTracker();
	
		~blobTracker();
		
		void setup(int w, int h, int numBlobsToConsider);
		void resetCounter();
		int getBlobID(int which);
		int getBlobDuration(int which);
		float getBlobActivity(int which);
		cvData getDataStruct(int which);		
		void identifyBlobs(vector <ofxCvBlob> blobs, int numFound, int maxDist);
	
		
		
	protected:
		int width;
		int height;
		int numBlobs;
		int lastNumFound;
		int genID;
		int lastTime;
		cvData * prevBlobs;
				
};

#endif